Skip to main content
POST
/
core
/
device-actions
Create device action
curl --request POST \
  --url https://acusight.io/api/core/device-actions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "device_id": "<string>",
  "type": "<string>",
  "download_url": "<string>",
  "file_ext": "<string>",
  "label_map": "<string>",
  "model_id": "<string>",
  "model_name": "<string>",
  "version": "<string>"
}
'
{
  "completed_at": "<string>",
  "created_at": "<string>",
  "device_id": "<string>",
  "download_url": "<string>",
  "file_ext": "<string>",
  "id": 123,
  "label_map": "<string>",
  "model_id": "<string>",
  "model_name": "<string>",
  "status": "<string>",
  "type": "<string>",
  "updated_at": "<string>",
  "version": "<string>"
}

Authorizations

Authorization
string
header
required

JWT access token. Paste the token only; the Bearer prefix is added automatically.

Body

application/json

Device action payload

device_id
string
required
type
string
required
download_url
string
file_ext
string
label_map
string
model_id
string
model_name
string
version
string

Response

Action created successfully

completed_at
string
created_at
string
device_id
string

Target device

download_url
string

Presigned URL

file_ext
string

".pt", ".onnx", ".tflite", ".synap"

id
integer
label_map
string

Label mapping for inference

model_id
string

Model update fields

model_name
string
status
string

"pending", "completed"

type
string

"model_update"

updated_at
string
version
string